
/******************************************************************************
* MODULE     : string_int.cpp
* DESCRIPTION: Strings from ints
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <stdio.h>
#include <string.h>
#include "string.hpp"
namespace mml {

string
as_string (void* ptr) {
  char buffer[100];
  sprintf (buffer, "0x%lx", (unsigned long) ptr);
  return string (buffer);
}

string
as_string (int i) {
  char buffer[100];
  sprintf (buffer, "%d", i);
  return string (buffer);
}

string
as_string (unsigned int i) {
  char buffer[100];
  sprintf (buffer, "%d", i);
  return string (buffer);
}

string
as_string (long int i) {
  char buffer[100];
  sprintf (buffer, "%ld", i);
  return string (buffer);
}

string
as_string (long unsigned int i) {
  char buffer[100];
  sprintf (buffer, "%ld", i);
  return string (buffer);
}

int
as_int (const string& s) {
  int i=0, n=N(s), val=0;
  if (n==0) return 0;
  if (s[0]=='-') i++;
  while (i<n) {
    if (s[i]<'0') break;
    if (s[i]>'9') break;
    val *= 10;
    val += (int) (s[i]-'0');
    i++;
  }
  if (s[0]=='-') val=-val;
  return val;
}

} // namespace mml
