
/******************************************************************************
* MODULE     : matrix_test.cc
* DESCRIPTION: Test matrices
* COPYRIGHT  : (C) 2004  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "integer.hpp"
#include "dense_matrix.hpp"
using namespace mml;

#define C integer
#define Matrix matrix<C>

int
main () {
  Matrix M (1, 10, 10);
  cout << "M =\n" << M << "\n";
  Matrix N (3, 10, 10);
  cout << "N =\n" << N << "\n";
  cout << "N + M =\n" << M+N << "\n";
  cout << "3 N=\n" << C(3) * N << "\n";
  cout << "quo (N, 2)=\n" << quo (N, C(2)) << "\n";
  N -= M;
  cout << "N -= M -> \n" << N << "\n";
  N *= 3;
  cout << "N *= 3 -> \n" << N << "\n";
  N += N;
  cout << "N += N -> \n" << N << "\n";
  N /= 6;
  cout << "N /= 6 -> \n" << N << "\n";
  N -= M;
  cout << "(N-=M) == M -> " << (N==M) << "\n \n";
  C* o= new C[200];
  C* t= o;
  for (nat i = 0; i < 200; i++) {
    *t = C (i);
    t++;
  }
  Matrix O (o, 20, 10);
  cout << "O =\n" << O << "\n";
  cout << "submatrix(O,5,8,2,10) =\n" << submatrix (O, 5, 8, 2, 10) << "\n";
  N *= 10;
  cout << "N =\n" << N << "\n";
  cout << "transpose(O) =\n" << transpose (O) << "\n";
  cout << "N*transpose(O) =\n" << N * transpose (O) << "\n";
  cout << "O...=\n" << iterate (O) << "\n";
  in_place_rows_linadd (M, 0, C(2), 3, C(3));
  cout << "2*row(0,M) += 3*row(3,M) -> \n" << M << "\n";
  in_place_swap_row (M, 0, 6);
  cout << "row(0,M) <-> row(6,M) -> \n" << M << "\n";
  return 0;
}
