
/******************************************************************************
* MODULE     : series_deps_test.cc
* DESCRIPTION: Test dependencies between series
* COPYRIGHT  : (C) 2006  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "rational.hpp"
#include "modular.hpp"
#include "series_deps.hpp"
using namespace mml;

#define C modular<nat_value<6794701> >
//#define C rational
#define Series series<C>

int
main () {
  //Series z (1, 1);
  //Series f= sin (z);
  //Series f= exp (z*z) + sin (z);
  //Series f= z*exp (z*z)+z+sin(z)+cos(z*z);
  Series f= agm<C,naive_multiply> (15);
  //cout << "f= " << f << "\n";
  cout << agm<rational,naive_multiply> (1) << "\n";
  cout << agm<rational,naive_multiply> (2) << "\n";
  cout << agm<rational,naive_multiply> (3) << "\n";
  cout << agm<rational,naive_multiply> (4) << "\n";
  find_dependencies (f);
  return 0;
}
