
/******************************************************************************
* MODULE     : inst_numeric_polynomial.cpp
* DESCRIPTION: Extra routines for numeric polynomials
* COPYRIGHT  : (C) 2005  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "numeric_extra.hpp"
#include "numeric_polynomial.cpp"
namespace mml {

/******************************************************************************
* specializations
******************************************************************************/

template real_ball//Real_type(complex_ball)
lower_bound_roots (const polynomial<complex_ball>& P);

template real_ball//Real_type(complex_ball)
lower_bound_roots (const complex_ball* P, nat n,
		   const real_ball& r, const real_ball& err);

template real_ball
extremum_disk (const complex_ball* P, nat n, const real_ball& r, int type);

template real_ball
maximum_disk (const complex_ball* P, nat n, const real_ball& r);

template real_ball
minimum_disk (const complex_ball* P, nat n, const real_ball& r);

template real_ball
maximum_real_part_disk (const complex_ball* P, nat n, const real_ball& r);

} // namespace mml
