
/******************************************************************************
* MODULE     : generic_symbols.cpp
* DESCRIPTION: Global definitions for common function names
* COPYRIGHT  : (C) 2004  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "generic_symbols.hpp"
#include "string.hpp"
namespace mml {

string MML_LESSLESS ("<<");
string MML_GTRGTR (">>");
string MML_IMPLIES ("=>");
string MML_EQUIV ("<=>");
string MML_OR ("&&");
string MML_XOR ("^^");
string MML_AND ("||");
string MML_EQUAL ("=");
string MML_UNEQUAL ("!=");
string MML_LESS ("<");
string MML_LESSEQ ("<=");
string MML_GTR (">");
string MML_GTREQ (">=");
string MML_FUNCTION ("->");
string MML_PLUS ("+");
string MML_TIMES ("*");
string MML_OVER ("/");
string MML_DIV ("div");
string MML_MOD ("mod");
string MML_COMPOSE ("@");
string MML_NOT ("!");
string MML_MINUS ("-");
string MML_POWER ("^");
string MML_FACTORIAL (".!");
string MML_PRIME ("'");
string MML_DOT (".");
string MML_APPLY (".()");
string MML_ACCESS (".[]");
string MML_TUPLE ("tuple!");
string MML_VTUPLE ("vtuple!");
string MML_SQTUPLE ("[]");
string MML_COMMA (",");

string MML_CATALAN ("mathcatalan");
string MML_D ("mathd");
string MML_DELTA ("delta");
string MML_E ("mathe");
string MML_EULER ("matheuler");
string MML_I ("mathi");
string MML_PARTIAL ("partial");
string MML_PI ("mathpi");
string MML_NAN ("NaN");
string MML_FUZZ ("Fuzz");
string MML_INFINITY ("Infty");
string MML_SQRT ("sqrt");
string MML_EXP ("exp");
string MML_LOG ("log");
string MML_COS ("cos");
string MML_SIN ("sin");
string MML_TAN ("tan");
string MML_ARCCOS ("arccos");
string MML_ARCSIN ("arcsin");
string MML_ARCTAN ("arctan");
string MML_DERIVE ("derive");
string MML_INTEGRATE ("integrate");

} // namespace mml
